<!DOCTYPE html>
<html>
<head>
	<meta charset='utf-8'>
	<meta http-equiv='X-UA-Compatible' content='IE=edge'>
	<title>Aufgabe 23</title>
	<meta name='viewport' content='width=device-width, initial-scale=1'>

	<link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/css/materialize.min.css">
	<script src="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/js/materialize.min.js"></script>
	<script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>
	<script src='main.js'></script>
	
</head>
<body>
	<div id="app">
		<div id="input" class="container">
			<div class="row">
				<h4> Input </h4>
			</div>
			<div class="row">
				<div class="input-field col s12 m5 l4">
					<input id="inputName" type="text" class="validate" minlength="4" v-model="valueToAdd.Name">
					<label for="inputName">Name</label>
				</div>
				<div class="input-field col s12 m4 l4">
					<input id="inputPopulation" type="number" class="validate" min=0 pattern="\d*" v-model="valueToAdd.Count">
					<label for="inputPopulation">Population</label>
				</div>
				<div class="input-field col s12 m3 l3">
					<select id="inputRegion" class="browser-default"  v-model="valueToAdd.Region">
						<option value="Europe">Europe</option>
						<option value="America">America</option>
						<option value="Asia">Asia</option>
					</select>
					
				</div>
				<div class="col s1 offset-s10 offset-m11 l1">
					<a class="btn-floating btn-large waves-effect waves-light" v-on:click="addCountry(valueToAdd)"><i class="material-icons">add</i></a>
				</div>
			</div>
		</div>

		<div id="controls" class="container">
			<div class="row">
				<h4>Controls</h4>
				
			</div>
			<div class="row">
				<div class="input-field col s12 m4">
					<input id="controlLowerCutoff" type="number" class="validate" min=0 pattern="\d*" value="60000000" v-model="lowerPopulationBound">
					<label for="controlLowerCutoff">Lower Population Cutoff</label>

				</div>


				<div class="col s6 m2 offset-m2">
					<p>
						<label>
						  <input name="Asia" id="controlAllowAsia" type="checkbox" class="filled-in regionCheckBox" v-model="regions.Asia" />
						  <span>Asia</span>
						</label>
					</p>
				</div>
				<div class="col s6 m2">
					<p>
						<label>
						  <input name="Europe" id="controlAllowEurope" type="checkbox" class="filled-in regionCheckBox" checked v-model="regions.Europe" />
						  <span>Europe</span>
						</label>
					</p>
				</div>
				<div class="col s6 m2">
					<p>
						<label>
						  <input name="America" id="controlAllowAmerica" type="checkbox" class="filled-in regionCheckBox" v-model="regions.America" />
						  <span>America</span>
						</label>
					</p>
				</div>
			</div>
			
		</div>
		
		
		<div id="output" class="container">
			<div class="row">
				<h4>Output</h4>
			</div>
			<table class="striped">
				<thead>
					<tr>
						<th>Name</th>
						<th>Population</th>
						<th>Region</th>
					</tr>
				</thead>
				<tbody>
					<tr v-for="entry in countries" v-if="regions[entry.region] && entry.count >= lowerPopulationBound">
						<td>{{entry.name}}</td>
						<td>{{entry.count}}</td>
						<td>{{entry.region}}</td>
					</tr>
				</tbody>
			</table>
		</div>
	</div>
</body>
</html>